<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!-- 
"This program may be used, executed, copied, modified and distributed without royalty for the 
purpose of developing, using, marketing, or distributing."

Product 5724-I63,  COPYRIGHT International Business Machines Corp., 2001,2008
All Rights Reserved * Licensed Materials - Property of IBM
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
-->
<%@ page import="java.util.*"%>
<%@ page import="com.ibm.websphere.samples.ejbquery.employeefinderwar.*"%>

<% String myLang;%>
<%
  response.setContentType("text/html;charset=UTF-8" );
%>

<!--Java Script-->
<SCRIPT language="JavaScript">
function getSelectedButton(buttonGroup) {
   for (var i = 0; i<buttonGroup.length;i++){
      if (buttonGroup[i].checked) {
         return i
      }
   }
   return 0
}
function setQuery(form) {
   var i = getSelectedButton(form.selector)
	form.query.value = form.selector[i].value
}

</SCRIPT>


<% if (request.getParameter("query") == null)  {
	%>
 <%@page language="java" %>

 
<HTML>

<!-- Default Stylesheet and Javascript used to set browser and DBCS Stylesheet -->
 <!-- misses DBCS should use navigator.userLanguage to get locale, not indexOf...document.URL-->
<script language="JavaScript" src="/WSsamples/scripts/browserStyle.js"></script>
<!-- <script language="JavaScript" src="/DynamicQuery/EmployeeFinder/scripts/browserStyleLang.js"></script> -->

<HEAD>

<title>Dynamic Query - Employee Finder</title>
</head>

<BODY leftmargin="10" topmargin="0" marginwidth="0" marginheight="0"> 
<img alt="Samples Gallery" src="/WSsamples/images/success_banner.jpg" valign=top> 

<table cellpadding=5 cellspacing=5>
<tr><td>
<H1 class="sampjsp">Dynamic Query - Employee Finder</h1>
</td></tr>
</table>

<HR>




<FORM METHOD="post" ACTION="/DynamicQuery/EmployeeFinderWeb/EmployeeFinder.jsp">

<!--Banner-->
<table cellpadding="5" cellspacing="5" border="0" width="100%">
  <tr><td>This sample uses these database objects and attributes:</td></tr>
</table>

<table cellpadding="0" cellspacing="5" border="0" width="100%">
  <tr>
    <th width="10%">Objects</th>
    <th width="90%">Attributes</th>
  </tr>
   <tr>
     <td><b>EmpBean</b></td>
     <td>empid, name, salary, bonus, hireDate, hireTime, hireTimestamp, isManager, add1(), calcBonus(), dept (CMR)</td>
  </tr>
  <tr>
    <td><b>DeptBean</b></td>
    <td>deptno, name, budget, add1(), emps (CMR), mgr (CMR)</td>
  </tr>
</table>
<br>
<!--Input Fields-->
<!--          Query Choice:  -->

<table cellpadding="0" cellspacing="5" border="0" width="100%">
<tr>
  <td>Select a predefined query, review or modify the query selection statement, then click Submit Query:</td>
</tr>
</table>

<table cellpadding="0" cellspacing="5" border="0" width="100%">
  <tr>
    <th width="50%">Query</th>
    <th width="45%">Description</th>
  </tr>
  <tr>
    <td>
      <label for="q1">
      <INPUT TYPE="radio" NAME="selector" VALUE="select d.deptno from DeptBean d" onClick="setQuery(this.form)" id="q1">
      Department  IDs</label>
    </td>
    <td>A simple query</td>
  </tr>
  <tr>
    <td>
      <label for="q2">
      <INPUT TYPE="radio" NAME="selector" VALUE="select e.empid, e.name, e.bonus, e.hireDate, e.hireTime, e.hireTimestamp, e.isManager from EmpBean e where e.empid < 3" onClick="setQuery(this.form)" id="q2">
      Attributes of Employees with IDs &lt; 3
      </label>
    </td>
    <td>Uses a where clause</td>
  </tr>
  <tr>
    <td>
      <label for="q3">
      <INPUT TYPE="radio" NAME="selector" VALUE="select e, e.empid from EmpBean e where e.empid < 3" onClick="setQuery(this.form)" id="q3">
      Employee, Employee ID of Employees with IDs &lt; 3
      </label>
    </td>
    <td>Finds an object</td>
  </tr>
  <tr>
    <td>
      <label for="q4">
      <INPUT TYPE="radio" NAME="selector" VALUE="select e.empid, e.dept.deptno, e.dept.name, e.dept.budget from EmpBean e where e.isManager = false" onClick="setQuery(this.form)" id="q4">
      Employee ID, Department attributes of Non-management employees
      </label>
    </td>
    <td>Uses a single value relationship</td>
  </tr>
  <tr>
    <td>
      <label for="q5">
      <INPUT TYPE="radio" NAME="selector" VALUE="select d.emps.empid from DeptBean d where d.deptno = 1" onClick="setQuery(this.form)" id="q5">
      Employee IDs in department 1
      </label>
    </td>
    <td>Uses a multi-valued relationship incorrectly</td>
  </tr>
  <tr>
    <td>
      <label for="q6">
      <INPUT TYPE="radio" NAME="selector" VALUE="select e.empid from DeptBean d, in (d.emps) e where d.deptno = 1" onClick="setQuery(this.form)" id="q6">
      Employee IDs in department 1
      </label>
    </td>
    <td>Uses a multi-valued relationship correctly</td>
  </tr>
  <tr>
    <td>
      <label for="q7">
      <INPUT TYPE="radio" NAME="selector" VALUE="select e from EmpBean e, DeptBean d  where e NOT Member OF d.emps and d.deptno = 1" onClick="setQuery(this.form)" id="q7">
      Employees not in department 1
      </label>
    </td>
    <td>Uses a complex condition in where clause</td>
  </tr>
  <tr>
    <td>
      <label for="q8">
      <INPUT TYPE="radio" NAME="selector" VALUE="select e from EmpBean e, DeptBean d  where e.dept.mgr Member OF d.emps and d.deptno = 1" onClick="setQuery(this.form)" id="q8">
      Employees of managers in department 1
      </label>
    </td>
    <td>Uses a complex condition in where clause</td>
  </tr>
  <tr>
    <td>
      <label for="q9">
      <INPUT TYPE="radio" NAME="selector" VALUE="" onClick="setQuery(this.form)" id="q9">
      Write your own:
      </label>
    </td>
    <td>Clears Selection Statement</td>
  </tr>
  <!-- Selection statement and Submit Button-->

  <tr><td colspan="2"></td></tr>
  <tr>
    <td colspan="2" valign="middle"><label for="query">Query Selection Statement:</label><br>
    <TEXTAREA NAME="query" id="query" ROWS ="5" COLS="80" WRAP ></TEXTAREA>
    </td>
  </tr>
  <TR><TD align="left" colspan="2" valign="top">
  <label for="startRow">Starting Row</label>
  <INPUT size="5" type="text" name="startRow" id="startRow" maxlength="5" value="1">
  <label for="endRow">Ending Row</labe>
  <INPUT size="5" type="text" name="endRow" id="endRow" maxlength="5" value="100">
  <INPUT type="checkbox" name="local" id="local">
  <label for="local">Use Local Interfaces</label>
<!-- for query team
  <INPUT type="checkbox"  name="checkPlan" > Show Query Plan
-->   

  </TD></tr>

  <tr >
    <td colspan="2" valign="middle">
    <INPUT TYPE=SUBMIT NAME="Viewer" VALUE="Submit Query">
    </td>
  </tr>
</table>
            <BR>
            <BR>


</FORM>
</BODY>
</HTML>
 
 
 	<%
    } else {	
 	ProcessQueryBean pb = (ProcessQueryBean)session.getAttribute("qryopts");
	if (pb==null) {
		pb = new ProcessQueryBean();
	}
	pb.setQuery(request.getParameter("query"));
	pb.setStartRow(request.getParameter("startRow"));
	pb.setEndRow(request.getParameter("endRow"));
	pb.setLocal(request.getParameter("local"));
	pb.setCheckPlan(request.getParameter("checkPlan"));

	session.setAttribute("qryopts",pb);
        String local = pb.getLocal();
        String checkPlan = pb.getCheckPlan();
	%>




<HTML>

<!-- Default Stylesheet and Javascript used to set browser and DBCS Stylesheet -->
<script language="JavaScript" src="/WSsamples/scripts/browserStyle.js"></script>

<HEAD>
<!-- <script language="JavaScript" src="/DynamicQuery/EmployeeFinder/scripts/browserMetaLang.js"></script> -->

<title>Dynamic Query - Employee Finder</title>
</head>


<BODY leftmargin="10" topmargin="0" marginwidth="0" marginheight="0">
<img alt="Samples Gallery" src="/WSsamples/images/success_banner.jpg" valign=top> 

<table cellpadding=5 cellspacing=5>
<tr><td>
<H1 class="sampjsp">Dynamic Query  - Employee Finder</h1>
</td></tr>
</table>

<HR>



<FORM name ="myForm" METHOD="post" ACTION="/DynamicQuery/EmployeeFinderWeb/EmployeeFinder.jsp">

<!--Banner-->
<table cellpadding="5" cellspacing="5" border="0" width="100%">
  <tr><td>This sample uses these database objects and attributes:</td></tr>
</table>

<table cellpadding="0" cellspacing="5" border="0" width="100%">
  <tr>
    <th width="10%">Objects</th>
    <th width="90%">Attributes</th>
  </tr>
   <tr>
     <td><b>EmpBean</b></td>
     <td>empid, name, salary, bonus, hireDate, hireTime, hireTimestamp, isManager, add1(), calcBonus(), dept (CMR)</td>
  </tr>
  <tr>
    <td><b>DeptBean</b></td>
    <td>deptno, name, budget, add1(), emps (CMR), mgr (CMR)</td>
  </tr>
</table>
<br>
<!--Input Fields-->
<!--          Query Choice:  -->

<table cell padding="0" cellspacing="5" border="0" width="100%">
<tr>
  <td>Select a predefined query, review or modify the query selection statement, then click Submit Query:</td>
</tr>
</table>

<table cellpadding="0" cellspacing="5" border="0" width="100%">
  <tr>
    <th width="50%">Query</th>
    <th width="45%">Description</th>
  </tr>
  <tr>
    <td>
      <label for="q1">
      <INPUT TYPE="radio" NAME="selector" VALUE="select d.deptno from DeptBean d" onClick="setQuery(this.form)" id="q1">
      Department  IDs</label>
    </td>
    <td>A simple query</td>
  </tr>
  <tr>
    <td>
      <label for="q2">
      <INPUT TYPE="radio" NAME="selector" VALUE="select e.empid, e.name, e.bonus, e.hireDate, e.hireTime, e.hireTimestamp, e.isManager from EmpBean e where e.empid < 3" onClick="setQuery(this.form)" id="q2">
      Attributes of Employees with IDs &lt; 3
      </label>
    </td>
    <td>Uses a where clause</td>
  </tr>
  <tr>
    <td>
      <label for="q3">
      <INPUT TYPE="radio" NAME="selector" VALUE="select e, e.empid from EmpBean e where e.empid < 3" onClick="setQuery(this.form)" id="q3">
      Employee, Employee ID of Employees with IDs &lt; 3
      </label>
    </td>
    <td>Finds an object</td>
  </tr>
  <tr>
    <td>
      <label for="q4">
      <INPUT TYPE="radio" NAME="selector" VALUE="select e.empid, e.dept.deptno, e.dept.name, e.dept.budget from EmpBean e where e.isManager = false" onClick="setQuery(this.form)" id="q4">
      Employee ID, Department attributes of Non-management employees
      </label>
    </td>
    <td>Uses a single value relationship</td>
  </tr>
  <tr>
    <td>
      <label for="q5">
      <INPUT TYPE="radio" NAME="selector" VALUE="select d.emps.empid from DeptBean d where d.deptno = 1" onClick="setQuery(this.form)" id="q5">
      Employee IDs in department 1
      </label>
    </td>
    <td>Uses a multi-valued relationship incorrectly</td>
  </tr>
  <tr>
    <td>
      <label for="q6">
      <INPUT TYPE="radio" NAME="selector" VALUE="select e.empid from DeptBean d, in (d.emps) e where d.deptno = 1" onClick="setQuery(this.form)" id="q6">
      Employee IDs in department 1
      </label>
    </td>
    <td>Uses a multi-valued relationship correctly</td>
  </tr>
  <tr>
    <td>
      <label for="q7">
      <INPUT TYPE="radio" NAME="selector" VALUE="select e from EmpBean e, DeptBean d  where e NOT Member OF d.emps and d.deptno = 1" onClick="setQuery(this.form)" id="q7">
      Employees not in department 1
      </label>
    </td>
    <td>Uses a complex condition in where clause</td>
  </tr>
  <tr>
    <td>
      <label for="q8">
      <INPUT TYPE="radio" NAME="selector" VALUE="select e from EmpBean e, DeptBean d  where e.dept.mgr Member OF d.emps and d.deptno = 1" onClick="setQuery(this.form)" id="q8">
      Employees of managers in department 1
      </label>
    </td>
    <td>Uses a complex condition in where clause</td>
  </tr>
  <tr>
    <td>
      <label for="q9">
      <INPUT TYPE="radio" NAME="selector" VALUE="" onClick="setQuery(this.form)" id="q9">
      Write your own:
      </label>
    </td>
    <td>Clears Selection Statement</td>
  </tr>

  <!-- Selection statement and Submit Button-->

  <tr><td colspan="2"></td></tr>
  <tr >
    <td colspan="2" valign="middle"><label for="query">Query Selection Statement:</label><br>
    <TEXTAREA NAME="query" id="query" ROWS ="5" COLS="80" WRAP ><%=pb.getQuery().replaceAll("<","&lt;").replaceAll(">","&gt;").replaceAll("\"","&quot;") %></TEXTAREA>
    </td>
  </tr>

  <TR><TD align="left" colspan="2" valign="top">Starting Row
  <INPUT size="5" type="text" name="startRow" maxlength="5" value= <%=pb.getStartRow() %>>
  Ending Row 
  <INPUT size="5" type="text" name="endRow" maxlength="5" value= <%=pb.getEndRow() %>>

  <%
	if (local != null) {
		out.println("<INPUT type=\"checkbox\" checked name=\"local\" > Use Local Interfaces " );
	}else {
		out.println("<INPUT type=\"checkbox\"  name=\"local\" > Use Local Interfaces " );
	}  
/* for query team to change to //
	if (checkPlan != null) {
		out.println("<INPUT type=\"checkbox\" checked name=\"checkPlan\" > Show Query Plan " );
	}else {
		out.println("<INPUT type=\"checkbox\"  name=\"checkPlan\" > Show Query Plan " );
	}
*/ //for query team to change to //
  %>


  </TD></tr>

  <tr >
    <td colspan="2" valign="middle">
    <INPUT TYPE=SUBMIT NAME="Viewer" VALUE="Submit Query">
    </td>
  </tr>
</table>
            <BR>
            <BR>

    <%=pb.processQuery() %>

</FORM>
</BODY>
</HTML>

 <%
    }
  %>	
